#!/usr/bin/make -f
#
# Makefile -- build the software (distribution-specific information)
#
# By Erik ``De Zeurkous'' Bogeholt, 2008
# Released into the public domain.
#
# Last modified at Fri Apr 18 22:06:53 UTC 2008 by De Zeurkous.

C_ZSHI_PROJ?=objmk_shared
C_ZSHI_VERSION?=0.0.2
C_ZSHI_NAME?=$(ZSHI_PROJ)-$(ZSHI_VERSION)

C_MAIN_PROJ?=$(PROJ)
C_MAIN_VERSION?=0.2.6
C_MAIN_NAME?=$(MAIN_PROJ)-$(MAIN_VERSION)

C_LST_PROJ?=$(C_MAIN_PROJ)lst
C_LST_VERSION?=0.1.0
C_LST_NAME?=$(C_LST_PROJ)-$(C_LST_VERSION)

C_VAR_PROJ?=$(C_MAIN_PROJ)var
C_VAR_VERSION?=0.0.9
C_VAR_NAME?=$(C_VAR_PROJ)-$(C_VAR_VERSION)

F_CHANGES?=CHANGES
F_DESCR?=DESCR
F_INSTALL?=INSTALL
F_INSTALL.BSD?=INSTALL.BSD
F_LICENSE?=LICENSE
F_NEWS?=NEWS
F_README?=README
F_REQUIRES?=REQUIRES

F_ZSHI?=$(C_ZSHI_PROJ).zshi
F_ZSHI_IN?=$(F_ZSHI).in

F_MAIN_EXEC?=$(C_MAIN_PROJ)
F_MAIN_MAN?=$(F_MAIN_EXEC).$(MAN_SECTION_USER)
F_MAIN_ZSH?=$(F_MAIN_EXEC).zsh
F_MAIN_ZSH_IN?=$(F_MAIN_ZSH).in

F_LST_EXEC?=$(C_LST_PROJ)
F_LST_MAN?=$(F_LST_EXEC).$(MAN_SECTION_USER)
F_LST_ZSH?=$(F_LST_EXEC).zsh
F_LST_ZSH_IN?=$(F_LST_ZSH).in

F_VAR_EXEC?=$(C_VAR_PROJ)
F_VAR_MAN?=$(F_VAR_EXEC).$(MAN_SECTION_USER)
F_VAR_ZSH?=$(F_VAR_EXEC).zsh
F_VAR_ZSH_IN?=$(F_VAR_ZSH).in

F_META_MAN?=$(PROJ).$(MAN_SECTION_MISC)
